Index: apache_1.3.34/configure
--- apache_1.3.34/configure.orig	2004-02-20 23:40:50 +0100
+++ apache_1.3.34/configure	2004-10-22 11:53:40 +0200
@@ -1174,10 +1174,10 @@
 ##   or we cannot support the case where the relative
 ##   path is just the emtpy one, i.e. ""]
 ##
-runtimedir_relative=`echo $runtimedir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
-logfiledir_relative=`echo $logfiledir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
-sysconfdir_relative=`echo $sysconfdir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
-libexecdir_relative=`echo $libexecdir | sed -e "s:^$prefix/*::" -e 's:\(.\)$:\1/:'`
+runtimedir_relative="$runtimedir/"
+logfiledir_relative="$logfiledir/"
+sysconfdir_relative="$sysconfdir/"
+libexecdir_relative="$libexecdir/"
 
 ##
 ##  check and debug
Index: apache_1.3.34/src/Configure
--- apache_1.3.34/src/Configure.orig	2004-09-16 01:45:17 +0200
+++ apache_1.3.34/src/Configure	2004-10-22 11:53:40 +0200
@@ -1157,14 +1157,20 @@
 	    SHLIB_SUFFIX_DEPTH=0
 	    ;;
 	*-solaris2*)
-	    if [ "x`$CC -v 2>&1 | grep gcc`" != "x" ]; then
-	        CFLAGS_SHLIB="-fPIC"
-	    else
-	        CFLAGS_SHLIB="-KPIC"
-	    fi
+	    CFLAGS_SHLIB="-KPIC"
 	    LDFLAGS_SHLIB="-G"
-	    LDFLAGS_MOD_SHLIB=$LDFLAGS_SHLIB
 	    LDFLAGS_SHLIB_EXPORT=""
+	    for word in `$CC -v 2>&1` ; do
+            case $word in 
+            --with-gnu-ld)
+                LDFLAGS_SHLIB="-shared"
+                ;;
+            *gcc*)
+                CFLAGS_SHLIB="-fPIC"
+                ;;
+            esac
+        done
+	    LDFLAGS_MOD_SHLIB=$LDFLAGS_SHLIB
 	    SHLIB_SUFFIX_DEPTH=1
 	    ;;
 	*-sunos4*)
@@ -1873,27 +1879,12 @@
 # set the default, based on whether expat-lite is bundled. if it is present,
 # then we can always include expat.
 if [ "x$RULE_EXPAT" = "xdefault" ]; then
-    if [ -d ./lib/expat-lite/ ]; then
-        RULE_EXPAT=yes
-    else
-        RULE_EXPAT=no
-    fi
+    RULE_EXPAT=no
 fi
 
 if [ "x$RULE_EXPAT" = "xyes" ]; then
-    if ./helpers/TestCompile lib expat; then
-        echo " + using system Expat"
-        LIBS="$LIBS -lexpat"
-    else
-        if [ ! -d ./lib/expat-lite/ ]; then
-            echo "ERROR: RULE_EXPAT set to \"yes\" but is not available."
-	    exit 1
-        fi
-        echo " + using builtin Expat"
-        EXPATLIB="lib/expat-lite/libexpat.a"
-        APLIBDIRS="expat-lite $APLIBDIRS"
-        CFLAGS="$CFLAGS -DUSE_EXPAT -I\$(SRCDIR)/lib/expat-lite"
-    fi
+    echo " + using system Expat"
+    LIBS="$LIBS -lexpat"
 fi
 
 ####################################################################
Index: apache_1.3.34/src/main/util_script.c
--- apache_1.3.34/src/main/util_script.c.orig	2004-02-16 23:29:33 +0100
+++ apache_1.3.34/src/main/util_script.c	2004-10-22 11:53:40 +0200
@@ -203,6 +203,7 @@
 	}
     }
 
+    if (!(env_path = ap_pstrdup(r->pool, ap_table_get(r->subprocess_env, "PATH"))))
     if (!(env_path = ap_pstrdup(r->pool, getenv("PATH")))) {
 	env_path = DEFAULT_PATH;
     }
